LASTONE_SLASH = {
  desc: "Удар мечом",
  class: ShootSkill,
  picture: PROJ_RAY,
  maxrange: 4,
  speed: 2000,
  spread: Math::PI / 2,
  count: 5,
  delay: 25,
  #offset: Math::PI * 0.3,
  damage: 10,
  force: 5.0,
  pierce: 1,
  linked: true,
  sound: RES::Skills::Sword,
}

LASTONE_SHOT = {
  desc: "Огненный шар",
  class: ShootSkill,
  pain: 1.0,
  picture: PROJ_FIRE,
  maxrange: 40,
  speed: 1000,
  spread: 0.2,
  count: 4,
  delay: 400,
  damage: 5,
  sound: RES::Skills::Shot_fire,
  explode: {
    picture: PROJ_FIRE,
    maxrange: 50,
    speed: 500,
    spread: 2 * Math::PI,
    count: 12,
    delay: 10,
    damage: 1,
    pierce: 2,
    force: 100.0,
    sound: RES::Skills::Explode,
  },
}

class OnlyPain < Skill
  def update
    @owner.hp = PLAYER_HP
  end
end

FINALONE =
  {
    material: MAT_PLAYER,
    picture: TILE_DEMON2,
    name: "Последний",
    desc: "",
    single_sex: true,
    big: true,

    left_skill: LASTONE_SLASH,
    right_skill: LASTONE_SHOT,
    passive: {class: OnlyPain, power: 0.33},
  }
