PROJ_SLASH = 8 * 8 + 6
PROJ_DARK = 8 * 8 + 7
PROJ_COLD = 9 * 8 + 6
PROJ_STONES = 9 * 8 + 7
PROJ_POISON = 10 * 8 + 6
PROJ_RAY = 10 * 8 + 7
PROJ_LIGHT = 0 * 8 + 7
PROJ_FIRE = 1 * 8 + 7
PROJ_ACID = 2 * 8 + 7

TILE_TRAP = 15 * 8 + 4
TILE_HUNTER_HIDDEN = 15 * 8 + 5
TILE_MARK = 15 * 8 + 6

TILE_CORPSE1 = 15 * 8 + 0
TILE_CORPSE2 = 15 * 8 + 1
TILE_CORPSE3 = 15 * 8 + 2
TILE_BLOOD = 15 * 8 + 3

BACK_TILES =
  [
    4 * 8 + 1, 				# floor
    4 * 8 + 4, 				# wall
    3 * 8 + 1, 4 * 8 + 2, 5 * 8 + 1, 4 * 8 + 0, 	# side
    3 * 8 + 2, 5 * 8 + 2, 5 * 8 + 0, 3 * 8 + 0, 	# corner
    5 * 8 + 3, 3 * 8 + 3, 3 * 8 + 5, 5 * 8 + 5, 	# i corner
    5 * 8 + 4, 4 * 8 + 3, 3 * 8 + 4, 4 * 8 + 5, 	# door
  ]

OPEN_DOORS = {
  5 * 8 + 4 => 3 * 8 + 1,
  4 * 8 + 3 => 4 * 8 + 2,
  3 * 8 + 4 => 5 * 8 + 1,
  4 * 8 + 5 => 4 * 8 + 0,

  2 * 8 + 4 => 0 * 8 + 1,
  1 * 8 + 3 => 1 * 8 + 2,
  0 * 8 + 4 => 2 * 8 + 1,
  1 * 8 + 5 => 1 * 8 + 0,

  10 * 8 + 4 => 8 * 8 + 1,
  9 * 8 + 3 => 9 * 8 + 2,
  8 * 8 + 4 => 10 * 8 + 1,
  9 * 8 + 5 => 9 * 8 + 0,
}

TILE_BIGDOOR1 = 1 * 8 + 6
TILE_BIGDOOR2 = 0 * 8 + 6

TILE_GATE1 = 2 * 8 + 6
TILE_GATE2 = 3 * 8 + 6
TILE_GATE3 = 4 * 8 + 6

TILE_HOMEDOOR = 5 * 8 + 6

LAYER_FLOOR = 0
LAYER_BLOOD = 2
LAYER_GORE = 1
LAYER_UNITS = 3

TILE_DEMON1 = 7 * 8 + 5
TILE_DEMON2 = 5 * 8 + 7

TILE_PORTAL1 = 7 * 8 + 6
TILE_PORTAL2 = 7 * 8 + 7
