
BARBARIAN_WHIRPOOL = {
  desc: "круговой удар",
  class: ShootSkill,
  picture: PROJ_SLASH,
  maxrange: 5,
  speed: 2000,
  spread: 6.28,
  count: 16,
  delay: 70,
  damage: 3,
  force: 1.0,
  linked: true,
  sound: RES::Skills::Sword3,
}

BARBARIAN_SLASH = {
  desc: "прямой удар",
  class: ShootSkill,
  picture: PROJ_SLASH,
  maxrange: 10,
  speed: 2000,
  spread: 0.05,
  count: 1,
  delay: 25,
  damage: 3,
  force: 5.0,
  pierce: 1,
  linked: true,
  sound: RES::Skills::Sword,
}

class NoPain < Skill
  def update
    @owner.pain = 0
  end
end

BARBARIAN =
  {
    material: MAT_PLAYER,
    picture: 13 * 8 + 1,

    left_skill: BARBARIAN_SLASH,
    right_skill: BARBARIAN_WHIRPOOL,
    name: "Берсерк",
    desc: "Не чувствует боли и урона",

    passive: {
      class: NoPain,
    },
  }
